Get Custom Datacenter

Get Custom Datacenter
Get custom datacenter by id

Get custom datacenter by id

Request
URI
GET
https://{api_host}/suite-api/api/resources/customdatacenters/{id}
COPY
Path Parameters
string
id
Required

Custom datacenter id


Authentication
This operation uses the following authentication methods.
Responses
200

Custom datacenter

Returns custom-datacenter of type(s) application/json
"{\n  \"id\" : \"9454dd8a-1505-4a32-96e0-1d93405651e5\",\n  \"name\" : \"custom datacenter\",\n  \"description\" : \"custom datacenter description\",\n  \"childResourceIds\" : [ \"f1f26a23-e930-4b1f-aafd-84fca7da8dbb\", \"fc3316bb-938c-4eff-9049-d0e642db7ad2\" ]\n}"
array of string
childResourceIds
Required
Constraints: minItems: 1

Resource IDs included in custom datacenter

string
description
Optional

Description of custom datacenter

string As uuid As uuid
id
Optional

Identifier of custom datacenter

string
name
Required
Constraints: minLength: 1

Name of custom datacenter


404

No custom datacenter is found with the specified id

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/resources/customdatacenters/{id}